KDE 4.7 PyKDE API Reference

- KDE's Python API

# ConfigWidget Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject
Namespace: Sonnet

## Detailed Description

## Signals
| configChanged ()
## Methods
| __init__ (self, KConfig config, QWidget parent)
bool | backgroundCheckingButtonShown (self)
QString | language (self)
| save (self)
| setBackgroundCheckingButtonShown (self, bool a0)
| setLanguage (self, QString language)
| slotChanged (self)
| slotDefault (self)

## Signal Documentation

configChanged | ( |  | ) |

Signal sends when config was changed

Since:
  4.1

Signal syntax:
  `QObject.connect(source, SIGNAL("configChanged()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | KConfig | config,
|  | QWidget | parent
| ) |  |  |

bool backgroundCheckingButtonShown | ( |  | self ) |

QString language | ( |  | self ) |

Get the currently selected language for spell checking. Returns an empty string if kdelibs was built without any spellchecking plugins.

Returns:
  the language currently selected in the language combobox

Since:
  4.1

save | ( |  | self ) |

setBackgroundCheckingButtonShown | ( | self, |
|  | bool | a0
| ) |  |  |

setLanguage | ( | self, |
|  | QString | language
| ) |  |  |

Sets the language/dictionary that will be selected by default in this config widget. This overrides the setting in the config file.

Parameters:

  | language | the language which will be selected by default.

Since:
  4.1

slotChanged | ( |  | self ) |

slotDefault | ( |  | self ) |